diff -ur synergy-1.3.1.original/lib/platform/CMSWindowsKeyState.cpp synergy-1.3.1/lib/platform/CMSWindowsKeyState.cpp
--- synergy-1.3.1.original/lib/platform/CMSWindowsKeyState.cpp	2006-04-11 17:56:19.000000000 +0900
+++ synergy-1.3.1/lib/platform/CMSWindowsKeyState.cpp	2006-04-11 20:31:35.000000000 +0900
@@ -277,9 +277,9 @@
 	/* 0x0ef */ { kKeyNone },		// OEM specific
 	/* 0x0f0 */ { kKeyNone },		// OEM specific
 	/* 0x0f1 */ { kKeyNone },		// OEM specific
-	/* 0x0f2 */ { kKeyNone },		// OEM specific
-	/* 0x0f3 */ { kKeyNone },		// OEM specific
-	/* 0x0f4 */ { kKeyNone },		// OEM specific
+	/* 0x0f2 */ { kKeyOEMCopy },	// VK_OEM_COPY
+	/* 0x0f3 */ { kKeyZenkaku },	// VK_OEM_AUTO
+	/* 0x0f4 */ { kKeyZenkaku },	// VK_OEM_ENLW
 	/* 0x0f5 */ { kKeyNone },		// OEM specific
 	/* 0x0f6 */ { kKeyNone },		// VK_ATTN			
 	/* 0x0f7 */ { kKeyNone },		// VK_CRSEL			
@@ -534,9 +534,9 @@
 	/* 0x1ef */ { kKeyNone },		// OEM specific
 	/* 0x1f0 */ { kKeyNone },		// OEM specific
 	/* 0x1f1 */ { kKeyNone },		// OEM specific
-	/* 0x1f2 */ { kKeyNone },		// OEM specific
-	/* 0x1f3 */ { kKeyNone },		// OEM specific
-	/* 0x1f4 */ { kKeyNone },		// OEM specific
+	/* 0x1f2 */ { kKeyNone },		// VK_OEM_COPY
+	/* 0x1f3 */ { kKeyNone },		// VK_OEM_AUTO
+	/* 0x1f4 */ { kKeyNone },		// VK_OEM_ENLW
 	/* 0x1f5 */ { kKeyNone },		// OEM specific
 	/* 0x1f6 */ { kKeyNone },		// VK_ATTN			
 	/* 0x1f7 */ { kKeyNone },		// VK_CRSEL			
diff -ur synergy-1.3.1.original/lib/synergy/KeyTypes.h synergy-1.3.1/lib/synergy/KeyTypes.h
--- synergy-1.3.1.original/lib/synergy/KeyTypes.h	2006-04-11 17:56:21.000000000 +0900
+++ synergy-1.3.1/lib/synergy/KeyTypes.h	2006-04-11 20:37:23.000000000 +0900
@@ -106,6 +106,7 @@
 static const KeyID		kKeyHenkan		= 0xEF23;	/* Start/Stop Conversion */
 static const KeyID		kKeyZenkaku		= 0xEF2A;	/* Zenkaku/Hankaku */
 static const KeyID		kKeyDelete		= 0xEFFF;	/* Delete, rubout */
+static const KeyID		kKeyOEMCopy		= 0xEF27;	/* OEMCopy(Kana in Japanese keyboard) */
 
 // cursor control
 static const KeyID		kKeyHome		= 0xEF50;
